Bug 1240964

Summary: Environment file not read on EL7
Product: [Fedora] Fedora EPEL Reporter: Kevin Cousin <kevin>
Component: fusioninventory-agentAssignee: marianne <marianne>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel7CC: marianne, perl-devel, psabata
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: 2.3.16-5.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-30 17:23:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kevin Cousin 2015-07-08 09:13:15 UTC
Description of problem:

OPTION Variable not exist in Environmnent File /etc/sysconfig/fusioninventory-agent

cat /etc/sysconfig/fusioninventory-agent
#
# Fusion Inventory Agent Configuration File
# used by hourly cron job and service launcher to override the fusioninventory-agent.cfg setup.
#
# DONT FORGET to enable the service !
#
# Add tools directory if needed (tw_cli, hpacucli, ipssend, ...)
PATH=/sbin:/bin:/usr/sbin:/usr/bin
# Global options (debug for verbose log, rpc-trust-localhost for yum-plugin)
FUSINVOPT="--debug "

cat /usr/lib/systemd/system/fusioninventory-agent.service 
[Unit]
Description=FusionInventory agent
After=syslog.target network.target
 
[Service]
EnvironmentFile=-/etc/sysconfig/fusioninventory-agent
Type=forking
ExecStart=/usr/bin/fusioninventory-agent --daemon --pidfile /var/run/fusioninventory-agent.pid $OPTIONS
 
[Install]
WantedBy=multi-user.target

[Service]
EnvironmentFile=-/etc/sysconfig/fusioninventory-agent
Type=forking
ExecStart=/usr/bin/fusioninventory-agent --daemon --pidfile /var/run/fusioninventory-agent.pid $OPTIONS

Version-Release number of selected component (if applicable):
2.3.16-2.el7

I need to change the /etc/sysconfig/fusioninventory-agent from FUSINVOPT="--debug " to OPTIONS="--debug"

Comment 1 Petr Ĺ abata 2015-07-08 12:10:38 UTC
It seems Marianne is the de facto maintainer here.  Re-assigning.
Why this package is owned by perl-sig is a mystery to me.

Comment 2 Fedora Update System 2015-08-13 14:10:47 UTC
fusioninventory-agent-2.3.16-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fusioninventory-agent-2.3.16-5.el7

Comment 3 Fedora Update System 2015-08-30 17:23:25 UTC
fusioninventory-agent-2.3.16-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.